## org.apache.lucene.analysis.no
Class NorwegianMinimalStemmer

    java.lang.Object
      org.apache.lucene.analysis.no.NorwegianMinimalStemmer

    public class NorwegianMinimalStemmer

extends Object

Minimal Stemmer for Norwegian Bokmål (no-nb) and Nynorsk (no-nn)

Stems known plural forms for Norwegian nouns only, together with genitiv -s

Constructor Summary
`NorwegianMinimalStemmer(int flags)` Creates a new NorwegianMinimalStemmer

Method Summary
`int` `stem(char[] s, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NorwegianMinimalStemmer

    public NorwegianMinimalStemmer(int flags)

  Creates a new NorwegianMinimalStemmer

  Parameters:
    `flags` - set to `NorwegianLightStemmer.BOKMAAL`, `NorwegianLightStemmer.NYNORSK`, or both.

Method Detail

### stem

    public int stem(char[] s,
                    int len)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.